<?php

include('includes/hlava.php');
title('Klub priateľov fotografie', '');

if ($link) {
  if ($db_selected) {
  
include('includes/vedla.php');
odkaz('');
include('includes/menu.php');
menu('galeria','');
?>
        <div class="obsah">   
                  
    		    <h2>Editácia <em>fotky</em></h2>
          
<?php
      
      
      if (isset($_GET['id'])) {
      
      $sql = "SELECT P.aid
              FROM kpf_photos P
              WHERE P.id= '".$_GET['id']."'";            
            $result = mysql_query($sql, $link);
        		if ($result) {
				      $row = mysql_fetch_assoc($result);
              if ($row['aid'] == $_SESSION['aid'])
                $zobraz = true;
              else $zobraz = false; 
            }
            
        if ($zobraz){
      
        if (isset($_POST['submit'])) {       
    			if (isset($_POST["titul"]) && ($_POST["titul"] != "") && isset($_POST["kategoria"]) && ($_POST["kategoria"] != "NULL")) {            
		        $sql = "UPDATE kpf_photos P SET P.nazov = '" . $_POST["titul"] . "',
                                            P.kategoria = '" . $_POST["kategoria"] . "',
                                            P.tech = '" . nl2br($_POST["tech"]) . "',
                                            P.pozn = '" . nl2br($_POST["pozn"]) . "'
                    WHERE P.id = '" . $_GET['id'] . "';";            
            $result = mysql_query($sql, $link);
        		if ($result) {
                header("Location: photo.php?id=". $_GET['id'] ."");
            }
            else{
              echo 'hups';
            }
          }
        }
        
        
      	$sql = "SELECT P.*
                FROM kpf_photos P
                WHERE P.id=".$_GET['id'].";";
          $result = mysql_query($sql, $link);
        			if ($result) {        			
				        $row = mysql_fetch_assoc($result);
        			     echo "<img src='photos/".$row['foto']."' alt='".$row['nazov']."' title='".$row['nazov']."' class='fotka' />";
?>              
                <form class="login" action="<?php echo $_SERVER['REQUEST_URI'] ?>" method="post" enctype="multipart/form-data">
                    <p class="form">
                      <em class="bold">* Titulok fotky</em>
                        <input name="titul" size="35" type="text" maxlength="30" value="<?php echo $row['nazov'] ?>"/><br />
                      <em class="bold">* Kategória</em>
                      <select name="kategoria">
                        <option value="NULL">Vyber kategoriu!</option>
                        <option value="Abstakt">Abstrakt</option>
                        <option value="Akt a glamour">Akt a glamour</option>
                        <option value="Architektúra">Architektúra</option>
                        <option value="Cestopis">Cestopis</option>
                        <option value="Divadlo a hudba">Divadlo a hudba</option>
                        <option value="Dokument">Dokument</option>
                        <option value="Experiment">Experiment</option>
                        <option value="Humor">Humor</option>
                        <option value="Inscenovaná">Inscenovaná</option>
                        <option value="Krajina">Krajina</option>
                        <option value="Makro">Makro</option>
                        <option value="Nočna">Nočná</option>
                        <option value="Portrét">Portrét</option>
                        <option value="Priatelia a rodina">Priatelia a rodina</option>
                        <option value="Príroda">Príroda</option>
                        <option value="Reportáž">Reportáž</option>
                        <option value="Šport">Šport</option>
                        <option value="Zátišie">Zátišie</option>
                        <option value="Zvieratá">Zvieratá</option>
                        <option value="Ostatné">Ostatné</option>
                      </select><br />
                      <em></em><b>Vyber kategoriu!</b><br />
                    </p>
                    <p class="form">
                      <em>Technické informácie</em>
                      <textarea name="tech" cols="40" rows="4"><?php echo $row['tech'] ?></textarea><br />
                      <em>Poznámky a odkazy</em>
                      <textarea name="pozn" cols="40" rows="4"><?php echo $row['pozn'] ?></textarea><br />
                      <em class="bold">* povinné údaje</em></p>
                <input class="ok" name="submit" type="submit" id="submit" value="zmeniť"/>
              </form>            
<?              
              }
              else{
                echo '<p>Nastala chyba.</p>';
              }
            } else echo '<p>Fotku môže editovať iba jej autor.</p>';
      		} else echo 'treba zadat ID.';
          // end vyber db
      	} // end spojenie s db
      		mysql_close($link);
      	}
include('includes/pata.php');
      ?>
